Subject: [AVT] DISCUSS and COMMENT: draft-ietf-avt-rtp-atrac-family

From: Magnus Westerlund <[email-masked]>
Date: Mon, 8 Sep 2008 07:57:49 -0700 (PDT)

Discuss:
Section 4.5.2:

I think this section is missing to answer one important factor on how one determines which streams in each of the base and enhancement RTP sessions that belong together. I get the strong impression that the timestamp synch text is only discussing the issue of finding the frames that belong to the audio stream frame position. The common solution for this problem has been to either use CNAME bindings to find them or require the same SSRC in both RTP session. I think the problem needs to be discussed at least here. 

Section 5.3.1: "This value SHOULD be zero for an unfragmented frame."

Can someone please explain how any any other value than 0 can be allowed for an unfragmented frame. By the definition of the field all other values will be interpreted as this being a fragment. Even if C=0 the inconsistency between having the filed be seperate from 0 indicates that some fragements should have preceeded this packet. And if that packet was lost one can't determine that previous packet didn't contain a fragment. I suggest to change the SHOULD to a MUST.

Section 7.6 Signaling of dependency for enhancements layers in offer/answer session. The specification doesn't talk about signalling of that despite the fact that it is as useful to setup a session with offer/answer as with declarative usage. Can you please motivate the choice of not talking about this for offer/answer?

Comment:
Section 5.3.1:
   Number of Frames (NFrames): 4 bits
   The number of audio frames in this packet.

Shouldn't this be defined as "The number of audio frames in this packet are field value + 1"?

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt